> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves a list of possible compliance checks together with their coverage



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/compliance-checks/coverage
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/compliance-checks/coverage:
    get:
      tags:
        - Compliance Checks
      summary: >-
        Retrieves a list of possible compliance checks together with their
        coverage
      operationId: ComplianceCheckController_getAllComplianceChecks
      parameters:
        - name: country
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/CountryCode'
        - name: asset
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/AssetId'
        - name: fiat
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/FiatCurrencyId'
        - name: paymentMethod
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/PaymentMethod'
        - name: type
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/OperationType'
        - name: sourceAccountId
          required: false
          in: query
          description: >-
            Source account whose owning business identity scopes the compliance
            checks (providers with per-business-identity credentials). Same
            account passed as sourceAccountId on deposits.
          schema:
            minLength: 25
            maxLength: 25
            type: string
        - name: identitySchemaType
          required: false
          in: query
          schema:
            $ref: '#/components/schemas/IdentityType'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ComplianceCheckCoverage'
      security:
        - bearer: []
components:
  schemas:
    CountryCode:
      type: string
      enum:
        - AF
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CD
        - CG
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CI
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - MK
        - RO
        - RU
        - RW
        - RE
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - AX
        - ZZ
    AssetId:
      type: string
      enum:
        - POL
        - USDT_POLYGON
        - USDC_POLYGON
        - SBC_POLYGON
        - ETH
        - USDT_ETHEREUM
        - USDC_ETHEREUM
        - PYUSD_ETHEREUM
        - DAI_ETHEREUM
        - SBC_ETHEREUM
        - TRX
        - USDT_TRON
        - SBC_TRON
        - ETH_BASE
        - USDC_BASE
        - USDB_BASE
        - EURC_BASE
        - SBC_BASE
        - ETH_OPTIMISM
        - USDT_OPTIMISM
        - USDC_OPTIMISM
        - BTC
        - CELO
        - CUSD_CELO
        - USDC_CELO
        - SBC_CELO
        - SOL
        - USDC_SOLANA
        - USDT_SOLANA
        - PYUSD_SOLANA
        - USDP_SOLANA
        - EURC_SOLANA
        - SBC_SOLANA
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
      description: Fiat currency identifier supported by the PFI account.
    PaymentMethod:
      type: string
      enum:
        - ACH
        - Wire
        - Sepa
        - Swift
        - Card
        - MobileMoney
        - PIX
        - TED
        - PSE
        - SPEI
        - COELSA
        - Transfers30
        - SPAV
        - CCE
        - SPI
        - LBTR
        - SINPE
        - Transfer365
        - NIP
        - GhIPSS
        - BankTransfer
        - EFT
        - RTP
        - BECS
        - FPS
        - IMPS_FIRC
        - Breb
        - NPSS
        - MADA
        - ZAHAV
        - IBFT
        - SIC
    OperationType:
      type: string
      enum:
        - Deposit
        - Withdrawal
        - VirtualAccount
        - Exchange
    IdentityType:
      type: string
      enum:
        - Personal
        - Business
    ComplianceCheckCoverage:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/ComplianceType'
        slug:
          deprecated: true
          description: >-
            Deprecated. Use `type` instead. This field is kept for backward
            compatibility and will be removed in future versions.
          allOf:
            - $ref: '#/components/schemas/ComplianceSlug'
        incorporatedTypes:
          type: array
          items:
            $ref: '#/components/schemas/ComplianceType'
        incorporates:
          type: array
          items:
            $ref: '#/components/schemas/ComplianceSlug'
          deprecated: true
          description: >-
            Deprecated. Use `incorporatedTypes` instead. This field is kept for
            backward compatibility and will be removed in future versions.
        coverage:
          deprecated: true
          description: Deprecated. Use `network` for the hierarchical shape.
          type: array
          items:
            $ref: '#/components/schemas/Coverage'
        network:
          description: >-
            Hierarchical view of options accessible under this compliance type —
            same shape as GET /v1/organizations/network. Prefer this over
            `coverage`.
          type: array
          items:
            $ref: '#/components/schemas/NetworkRampOptionEntity'
        schema:
          type: object
          additionalProperties: true
        documents:
          type: array
          items:
            $ref: '#/components/schemas/RequiredDocuments'
      required:
        - type
        - slug
        - incorporatedTypes
        - incorporates
        - coverage
        - network
        - schema
        - documents
    ComplianceType:
      type: string
      enum:
        - Bridge_base
        - Bridge_sepa
        - Koywe_base
        - Kotanipay_base
        - Bitso_base
        - Yellowcard_base
        - TraceFinance_base
        - HoneyCoin_base
        - BlindPay_base
        - BlindPay_enhanced
        - Finity_base
        - Ares_base
        - Hercle_base
        - Infinia_base
        - Walapay_base
        - Yativo_base
        - Capa_base
        - Bivo_base
        - Cobre_base
        - Brale_base
        - Juicyway_base
        - Onmeta_base
        - Onmeta_ind
        - Alfred_base
        - Demo_base
        - CrissCross_base
        - TripleA_base
    ComplianceSlug:
      type: string
      enum:
        - compliance-fee5483c
        - compliance-3d0947c0
        - compliance-9f5059c4
        - compliance-4a8e9f3b
        - compliance-7b9d2c6a
        - compliance-de8e1920
        - compliance-t7f4b831
        - compliance-h9x7p245
        - compliance-432704
        - compliance-15bc9ec4
        - compliance-a96ad46a
        - compliance-4c347d0a
        - compliance-ff6f0b66
        - compliance-bbd0abdf
        - compliance-d4a0bea2
        - compliance-ce1ef04d
        - compliance-191335b3
        - compliance-f47aa1e0
        - compliance-b92f0ad3
        - compliance-f44d3582
        - compliance-5402f18a
        - compliance-dbd2a55c
        - compliance-2c7e1a9d
        - compliance-cc0a4f2b
        - compliance-3a7e9d1f
      description: >-
        Deprecated. Use `type` instead. This field is kept for backward
        compatibility and will be removed in future versions.
    Coverage:
      type: object
      properties:
        method:
          allOf:
            - $ref: '#/components/schemas/PaymentMethod'
        fiat:
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
        country:
          allOf:
            - $ref: '#/components/schemas/CountryCode'
        asset:
          allOf:
            - $ref: '#/components/schemas/AssetId'
        type:
          allOf:
            - $ref: '#/components/schemas/OperationType'
      required:
        - method
        - fiat
        - country
        - asset
        - type
    NetworkRampOptionEntity:
      type: object
      properties:
        option:
          type: string
          description: 'Option type: deposit, withdrawal, or virtualAccount'
        assets:
          type: array
          items:
            $ref: '#/components/schemas/NetworkAssetEntryEntity'
        fiats:
          type: array
          items:
            $ref: '#/components/schemas/NetworkFiatEntryEntity'
      required:
        - option
        - assets
        - fiats
    RequiredDocuments:
      type: object
      properties:
        mode:
          allOf:
            - $ref: '#/components/schemas/RequiredDocumentsMode'
        documents:
          type: array
          items:
            $ref: '#/components/schemas/IdentityDocumentType'
      required:
        - mode
        - documents
    NetworkAssetEntryEntity:
      type: object
      properties:
        asset:
          type: string
          description: Asset identifier (e.g. USDC_POLYGON)
        countries:
          type: array
          items:
            $ref: '#/components/schemas/CountryCode'
      required:
        - asset
        - countries
    NetworkFiatEntryEntity:
      type: object
      properties:
        fiat:
          type: string
          description: Fiat currency identifier (e.g. USD, EUR)
        paymentMethods:
          type: array
          items:
            $ref: '#/components/schemas/NetworkPaymentMethodEntryEntity'
      required:
        - fiat
        - paymentMethods
    RequiredDocumentsMode:
      type: string
      enum:
        - oneOf
        - allOf
    IdentityDocumentType:
      type: string
      enum:
        - Passport
        - DriverLicense
        - NationalId
        - ResidencePermit
        - Formation
        - Ownership
        - ProofOfAddress
        - SourceOfFunds
        - IndividualHolding
        - BVN_NG
        - Selfie
        - Aadhaar
        - PAN
        - TaxId
        - LetterOfAuthority
        - EvidenceOfGoodStanding
        - ProofOfNatureOfBusiness
        - Other
    NetworkPaymentMethodEntryEntity:
      type: object
      properties:
        method:
          allOf:
            - $ref: '#/components/schemas/PaymentMethod'
        countries:
          type: array
          items:
            $ref: '#/components/schemas/CountryCode'
        complianceProfile:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/ComplianceType'
      required:
        - method
        - countries
        - complianceProfile
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````